<?php
/**
 * The template for displaying Archive pages
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Foodland Pro
 * @since Foodland 1.0 
 */

get_header(); ?>

	<main id="main" class="site-main" role="main">

		<?php  do_action( 'foodland_inner_page_div_structure_start' ); ?>

		<?php do_action( 'jetpack_container_starts' ); // container start for jetpack infinite scroll  ?> 

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title">
					<?php
						if ( is_category() ) :
							single_cat_title();

						elseif ( is_tag() ) :
							single_tag_title();

						elseif ( is_author() ) :
							printf( __( 'Author: %s', 'foodland' ), '<span class="vcard">' . esc_html( get_the_author() ) . '</span>' );

						elseif ( is_day() ) :
							printf( __( 'Day: %s', 'foodland' ), '<span>' . get_the_date() . '</span>' );

						elseif ( is_month() ) :
							printf( __( 'Month: %s', 'foodland' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'foodland' ) ) . '</span>' );

						elseif ( is_year() ) :
							printf( __( 'Year: %s', 'foodland' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'foodland' ) ) . '</span>' );

						elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
							_e( 'Asides', 'foodland' );

						elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
							_e( 'Galleries', 'foodland');

						elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
							_e( 'Images', 'foodland');

						elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
							_e( 'Videos', 'foodland' );

						elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
							_e( 'Quotes', 'foodland' );

						elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
							_e( 'Links', 'foodland' );

						elseif ( is_tax( 'post_format', 'post-format-status' ) ) :
							_e( 'Statuses', 'foodland' );

						elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
							_e( 'Audios', 'foodland' );

						elseif ( is_tax( 'post_format', 'post-format-chat' ) ) :
							_e( 'Chats', 'foodland' );

						elseif ( is_tax( 'nova_menu' )  || is_tax( 'nova_menu_item_label' ) ) :
							echo esc_html( get_the_archive_title() );	

						else :
							_e( 'Archives', 'foodland' );

						endif;
					?>
				</h1>
				<?php
					// Show an optional term description.
					$term_description = term_description();
					if ( ! empty( $term_description ) ) :
						printf( '<div class="taxonomy-description">%s</div>', $term_description );
					endif;
				?>
			</header><!-- .page-header -->

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */

					global $post;
					$post_type = get_post_type( $post );

					if( 'nova_menu_item' == $post_type ){

						get_template_part( 'template-parts/nova', get_post_format() );

					}
					else{

						get_template_part( 'template-parts/content', get_post_format() );
					}
				?>

			<?php endwhile; ?>

			<?php foodland_content_nav( 'nav-below' ); ?>
		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>

		<?php do_action( 'jetpack_container_ends' ); // container ends for jetpack infinite scroll  ?> 

		<?php do_action( 'foodland_inner_page_div_structure_ends' ); ?>

	</main><!-- #main -->

<?php get_footer();
