<?php
/**
 * Active callbacks for Theme/Customzer Options
 *
 * @package Theme Palace
 * @subpackage Foodland
 * @since Foodland 1.0
 */

if( ! function_exists( 'foodland_is_slider_active' ) ) :
	/**
	* Return true if slider is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_slider_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		  $page_on_front  = get_option('page_on_front') ;

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_slider_option]' )->value();

		//return true only if previwed page on customizer matches selected option.
		return ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) );
	}
endif;


if( ! function_exists( 'foodland_is_demo_slider_inactive' ) ) :
	/**
	* Return true if demo slider is inactive
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_demo_slider_inactive( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front  = get_option('page_on_front') ;

		$enable	= $control->manager->get_setting( 'foodland_theme_options[featured_slider_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_slider_type]' )->value();

		//return true only if previwed page on customizer matches selected option.
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && !( 'demo-featured-slider' == $type ) );
	}
endif;

if( ! function_exists( 'foodland_is_post_slider_active' ) ) :
	/**
	* Return true if post slider is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_post_slider_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front'); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_slider_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_slider_type]' )->value();

		//return true only if previwed page on customizer matches selected option.
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && ( 'featured-post-slider' == $type ) );
	}
endif;

if( ! function_exists( 'foodland_is_page_slider_active' ) ) :
	/**
	* Return true if page slider is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_page_slider_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front');

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_slider_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_slider_type]' )->value();

		//return true only if previwed page on customizer matches selected option.
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && ( 'featured-page-slider' == $type ) );
	}
endif;

if( ! function_exists( 'foodland_is_nova_menu_slider_active' ) ) :
	/**
	* Return true if Nova Menu slider is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_nova_menu_slider_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front');

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_slider_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_slider_type]' )->value();

		//return true only if previwed page on customizer matches selected option.
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && ( 'featured-food-menus' == $type ) );
		// return true;
	}
endif;

if( ! function_exists( 'foodland_is_category_slider_active' ) ) :
	/**
	* Return true if category slider is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_category_slider_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front');

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_slider_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_slider_type]' )->value();

		//return true only if previwed page on customizer matches selected option.
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && ( 'featured-category-slider' == $type ) );
	}
endif;


if( ! function_exists( 'foodland_is_image_slider_active' ) ) :
	/**
	* Return true if image slider is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_image_slider_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front');

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_slider_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_slider_type]' )->value();

		//return true only if previwed page on customizer matches selected option.
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && ( 'featured-image-slider' == $type ) );
	}
endif;

// Active callback for promotional headline.

// check to see if promotional headline is not disable
if( ! function_exists( 'foodland_is_promotional_headline_active' ) ) :
	/**
	* Return true if promotional headline is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_promotional_headline_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front'); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[enable_promotional_headline_on]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable == 'homepage' ) );
	}
endif;

// check to see if page promotional headline is active
if( ! function_exists( 'foodland_is_page_promotional_headline_active' ) ) :
	/**
	* Return true if page promotional headline is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_page_promotional_headline_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front'); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[enable_promotional_headline_on]' )->value();

		$type = $control->manager->get_setting( 'foodland_theme_options[promotional_headline_type]') -> value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable == 'homepage' ) ) && ( 'page-headline' == $type ) );
	}
endif;

// check to see if custom  promotional headline type is active
if( ! function_exists( 'foodland_is_custom_promotional_headline_active' ) ) :
	/**
	* Return true if custom promotional headline is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_custom_promotional_headline_active( $control ) {
		global $wp_query;

		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front');

		$enable = $control->manager->get_setting( 'foodland_theme_options[enable_promotional_headline_on]' )->value();

		$type = $control->manager->get_setting( 'foodland_theme_options[promotional_headline_type]') -> value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable == 'homepage' ) ) && 'custom-headline' == $type );
	}
endif;

// check to see if custom  promotional headline type is active
if( ! function_exists( 'foodland_is_demo_promotional_headline_not_active' ) ) :
	/**
	* Return true if promotional headline is not demo type
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_demo_promotional_headline_not_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front'); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[enable_promotional_headline_on]' )->value();

		$type = $control->manager->get_setting( 'foodland_theme_options[promotional_headline_type]') -> value();


		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable == 'homepage' ) ) && ( 'demo-headline' != $type ) );
	}
endif;



if( ! function_exists( 'foodland_is_featured_content_active' ) ) :
	/**
	* Return true if featured content is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_featured_content_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_content_option]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) );
	}
endif;


if( ! function_exists( 'foodland_is_demo_featured_content_inactive' ) ) :
	/**
	* Return true if demo featured content is inactive
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_demo_featured_content_inactive( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option('page_on_front'); 

		$enable 	= $control->manager->get_setting( 'foodland_theme_options[featured_content_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_content_type]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && !( 'demo-featured-content' == $type ) );
	}
endif;


if( ! function_exists( 'foodland_is_featured_post_content_active' ) ) :
	/**
	* Return true if post content is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_featured_post_content_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_content_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_content_type]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && ( 'featured-post-content' == $type ) );
	}
endif;


if( ! function_exists( 'foodland_is_featured_page_content_active' ) ) :
	/**
	* Return true if page content is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_featured_page_content_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_content_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_content_type]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && ( 'featured-page-content' == $type ) );
	}
endif;


if( ! function_exists( 'foodland_is_featured_food_menu_content_active' ) ) :
	/**
	* Return true if food menu content is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_featured_food_menu_content_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_content_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_content_type]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && ( 'featured-food-menus' == $type ) );
	}
endif;


if( ! function_exists( 'foodland_is_featured_image_content_active' ) ) :
	/**
	* Return true if image content is active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_featured_image_content_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[featured_content_option]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[featured_content_type]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0 ) && $enable == 'homepage' ) ) && ( 'featured-image-content' == $type ) );
	}
endif;

if( ! function_exists( 'foodland_todays_special_menu_not_disabled' ) ) :
	/**
	* Return true if todays special menu is not disabled
	*
	* @since  Foodland 1.0
	*/
	function foodland_todays_special_menu_not_disabled( $control ) {
		global $wp_query;

		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[show_todays_special_on]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable == 'homepage' ) );
	}
endif;

if( ! function_exists( 'foodland_is_todays_special_demo_not_active ' ) ) :
	/**
	* Return true if todays special demo is not selected
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_todays_special_demo_not_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[show_todays_special_on]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[todays_special_type]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable == 'homepage' ) ) && ( $type != 'demo-todays-special' ) );
	}
endif;

if( ! function_exists( 'foodland_is_todays_special_banner_active ' ) ) :
	/**
	* Return true if todays special banner is enabled
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_todays_special_banner_active( $control ) {
		global $wp_query;
		
		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[show_todays_special_on]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[todays_special_menu_banner_enable]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable == 'homepage' ) ) && ( $type === true ) );
	}
endif;

if( ! function_exists( 'foodland_is_staff_member_not_disabled' ) ) :
	/**
	* Return true if Staff Member Section is not disabled
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_staff_member_not_disabled( $control ) {
		global $wp_query;

		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[staff_member_option_on]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable == 'homepage' ) );
	}
endif;

if( ! function_exists( 'foodland_is_staff_member_demo_not_active' ) ) :
	/**
	* Return true if Demo Staff Member Section is not Active
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_staff_member_demo_not_active( $control ) {
		global $wp_query;

		$page_id = $wp_query->get_queried_object_id();

		// Front page display in Reading Settings
		$page_on_front = get_option( 'page_on_front' ); 

		$enable = $control->manager->get_setting( 'foodland_theme_options[staff_member_option_on]' )->value();

		$type 	= $control->manager->get_setting( 'foodland_theme_options[staff_member_type]' )->value();

		//return true only if previwed page on customizer matches the type of content option selected
		return ( ( $enable == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable == 'homepage' ) ) && ( $type != 'demo-staff-member' ) );
	}
endif;

if( !function_exists( 'foodland_is_cf7_active' ) ) :
	/**
	* Return true if contact form 7 theme option is not disabled
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_cf7_active( $control ){

		$disable = $control->manager->get_setting( 'foodland_theme_options[cf7_disable]' )->value();

		//return true only if cf7 is not disabled
		return ( '0' == $disable );
	}
endif;

if( !function_exists( 'foodland_is_footer_social_links_active' ) ) :
	/**
	* Return true if  customizing-> theme_options -> social_links -> check to disbale is not checked
	*
	* @since  Foodland 1.0
	*/
	function foodland_is_footer_social_links_active( $control ){

		$disable = $control->manager->get_setting( 'foodland_theme_options[disable_social_icon]' )->value();

		//return true only if social link is not disabled
		return ( '0' == $disable );
	}
endif;

if( !function_exists( 'is_frontpage_blog_options_active' ) ) :
	/**
	* Return true if ( customizing-> Frontpage blog option -> Checkto disable blog option ) is not checked
	*
	* @since  Foodland 1.0
	*/
	function is_frontpage_blog_options_active( $control ){

		$disable = $control->manager->get_setting( 'foodland_theme_options[disable_blog_options]' )->value();

		//return true only if frontpage blog option is not disabled
		return ( '0' == $disable );
	}
endif;