<?php
/**
 * Validation functions for Theme/Customzer Options
 *
 * @package Theme Palace
 * @subpackage Foodland
 * @since Foodland 2.0 
 */

/*
 * Function to validate slider transition delay
 */
function foodland_validate_slide_transition_delay( $validity, $value ){
    $value = intval( $value );
    if ( $value < 1 ) {
       $validity->add( 'min_transition_delay', __( 'Minimum transition delay is 1', 'foodland' ) );
    } elseif ( $value > 5 ) {
       $validity->add( 'max_transition_delay', __( 'Maximum transition delay is 5', 'foodland' ) );
    } elseif ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', __( 'You must supply a valid number.', 'foodland' ) );
    }
    return $validity;
}

/*
 * Function to validate slider transition length
 */
function foodland_validate_slide_transition_length( $validity, $value ){
	$value = intval( $value );
    if ( $value < 1 ) {
       $validity->add( 'min_transition_length', __( 'Minimum transition length is 1', 'foodland' ) );
    } elseif ( $value > 5 ) {
       $validity->add( 'max_transition_length', __( 'Maximum transition length is 5', 'foodland' ) );
    } elseif ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', __( 'You must supply a valid number.', 'foodland' ) );
    }
    return $validity;
}

/*
 * Function to validate no of posts on front page
 */
function foodland_validate_front_page( $validity, $value ){
  $value = intval( $value );
    if ( $value < 1 ) {
       $validity->add( 'min_front_page', __( 'Minimum number of posts on front page is 1', 'foodland' ) );
    } elseif ( $value > 5 ) {
       $validity->add( 'max_front_page', __( 'Maximum number of posts on front page is 5', 'foodland' ) );
    } elseif ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', __( 'You must supply a valid number.', 'foodland' ) );
    }
    return $validity;
}

/*
 * Function to validate number of staff member
 */
function foodland_validate_number_of_staff_member( $validity, $value ){
  $value = intval( $value );
    if ( $value < 3 ) {
       $validity->add( 'min_staff_member', __( 'Minimum number of staff member is 3', 'foodland' ) );
    } elseif ( $value > 12 ) {
       $validity->add( 'max_staff_member', __( 'Maximum number of staff member is 12', 'foodland' ) );
    } elseif ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', __( 'You must supply a valid number.', 'foodland' ) );
    }
    return $validity;
}
/*
 * Function to validate todays special no of menus
 */
function foodland_validate_todays_special_no_of_menus( $validity, $value ){
  $value = intval( $value );
    if ( $value < 1 ) {
       $validity->add( 'min_today_special', __( 'Minimum number of todays special is 1', 'foodland' ) );
    } elseif ( $value > 8 ) {
       $validity->add( 'max_today_special', __( 'Maximum number of todays special is 8', 'foodland' ) );
    } elseif ( empty( $value ) || ! is_numeric( $value ) ) {
       $validity->add( 'required', __( 'You must supply a valid number.', 'foodland' ) );
    }
    return $validity;
}
?>