<?php
/**
 * The template for displaying Promotional Headline	
 *
 * @package Theme Palace
 * @subpackage Foodland Pro
 * @since Foodland 1.0 
 */

if( !function_exists( 'foodland_promotional_headline' ) ) :
/**
* Add Promotional headline .
*
* @uses action hook foodland_before_content.
*
* @since Foodland 1.0
*/
function foodland_promotional_headline() {
	//foodland_flush_transients();
	global $post, $wp_query;

	// get data value from options
	$options            = foodland_get_theme_options();
	$enable_headline_on = $options['enable_promotional_headline_on'];
	$content_select     = $options['promotional_headline_type'];
	
	// Front page displays in Reading Settings
	$page_on_front 	= get_option('page_on_front') ;
	$page_for_posts = get_option('page_for_posts'); 


	// Get Page ID outside Loop
	$page_id = $wp_query->get_queried_object_id();

	if ( $enable_headline_on == 'entire-site' || ( ( $page_id == $page_on_front && $page_id > 0  ) && $enable_headline_on == 'homepage' ) ) {
		 
		if ( ( !$foodland_promotional_headline = get_transient( 'foodland_promotional_headline' ) ) ) {

			echo '<!-- refreshing cache -->';

			$foodland_promotional_headline = '
				<section id="intro-part" class="page-section">
	                <div class="wrapper clear">';

	                if( 'demo-headline' == $content_select && function_exists( 'foodline_demo_promotional_headline') ){

	                	$foodland_promotional_headline .= foodline_demo_promotional_headline(); 
	                }
	                elseif( 'page-headline' == $content_select && function_exists( 'foodland_page_promotional_headline' ) ){

	                	$foodland_promotional_headline .= foodland_page_promotional_headline( $options ); 

	                }
	                elseif( 'custom-headline' == $content_select && function_exists( 'foodland_custom_promotional_headline' ) ){

	                	$foodland_promotional_headline .= foodland_custom_promotional_headline( $options ); 

	                }
	                 
	        $foodland_promotional_headline .= '
	               	</div><!-- wrapper -->
	                
	            </section><!-- # intro -->';
			
			set_transient( 'foodland_promotional_headline', $foodland_promotional_headline, 86940 );

		}
		echo $foodland_promotional_headline;	
	}
}
endif;

add_action( 'foodland_before_content', 'foodland_promotional_headline', 30 );

//foodline_demo_promotional_headline function starts
if( !function_exists( 'foodline_demo_promotional_headline' )){
	function foodline_demo_promotional_headline(){
		$demo_promotional_headline = '
			<div class="one-half about">
                <h2 class="upercase">' . __( 'We Cook Delicious  Memory', 'foodland' ) . '</h2>
               
                <p>' . __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse at dapibus turpis. Vivamus quis metus porttitor purus luctus sagittis ac et tellus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere...', 'foodland' ) . '</p>

                <a class="rounded-btn upercase" href="#"><span>' . __( 'Know More',  'foodland' ) . '</span></a>
                   
            </div><!-- one-half -->
                
            <div class="one-half right">
                <div class="single-image-wrap"><a href="#"><img src="' . esc_url( get_template_directory_uri(). '/images/about.jpg' ) . '" alt="' . __( 'ice-cream',  'foodland' ) . '"></a>
                </div><!-- .single-image-wrap -->
            </div><!-- one-half -->';

    return $demo_promotional_headline;

	}
}
//foodline_demo_promotional_headline ends

//foodland_page_promotional_headline function starts
if( !function_exists( 'foodland_page_promotional_headline' )){
	function foodland_page_promotional_headline( $options ){
		global $post;

		$page_id     = $options['promotional_headline_page'];		
		$button_text = $options['promotional_headline_button_text'];
		$content     = get_post_field('post_content', $page_id);

		if( has_post_thumbnail( $page_id ) ){
			$class              = 'one-half ';
			$has_thumbnail_flag = true; 
			$image              = get_the_post_thumbnail( $page_id, 'foodland-promotional-page' );
		}
		else{
			$class              = '';
			$has_thumbnail_flag = false; 
		}

		if( $page_id > 0 && !empty( $page_id ) ){
			$page_promotional_headline = '
				<div class="'. $class .'about">
	                <h2 class="upercase">'. esc_html( get_the_title( $page_id ) ) .'</h2>
	               
	                <p>'. foodland_truncate_phrase( $content, '200' ) .'...</p>
	           
	                <a class="rounded-btn upercase" href="'.esc_url( get_permalink( $page_id ) ).'"><span>'. esc_html( $button_text ) .'</span></a>
	                   
	            </div><!-- one-half -->';
	            if( $has_thumbnail_flag ){
			        $page_promotional_headline .= '
			        	<div class="one-half right">
			                <div class="single-image-wrap"><a href="' . esc_url( get_permalink( $page_id ) ) . '">'. $image .'</a>   
			                </div><!-- .single-image-wrap -->
			            </div><!-- one-half -->';
				}
        }
        else {
        	$page_promotional_headline = '';	
        }

    return $page_promotional_headline;

	}
}
//foodland_custom_promotional_headline ends

//foodland_custom_promotional_headline function starts
if( !function_exists( 'foodland_custom_promotional_headline' )){
	function foodland_custom_promotional_headline( $options ){

		$title               = $options['headline_title'];
		$content             = $options['headline_content'];
		$button_text         = $options['promotional_headline_button_text'];
		$link_url            = $options['promotional_headline_url'];
		$button_text         = $options['promotional_headline_button_text'];
		$link_target         = $options['link_target'];
		$banner_image_id     = isset( $options['promotional_headline_image'] ) ?  $options['promotional_headline_image'] : '';

		if( !empty( $banner_image_id )){
			$class               = 'one-half ';
			$image_flag 		 = true;
			$banner_image        =  wp_get_attachment_image_src( $banner_image_id, 'foodland-promotional-page' );
			$banner_image_url    = $banner_image['0'];
		} else{
			$class      = '';
			$image_flag = false;
		}
		
		( '1' == $link_target ) ? $link_target = 'target = "_blank"' : $link_target ='';

		$custom_promotional_headline = '
			<div class="'. esc_attr( $class ) .'about">
                <h2 class="upercase">'. esc_html( $title ) .'</h2>
               
                <p>'. wp_kses_data( $content ) .'</p>';

        		if( !empty( $link_url) ){
           
                	$custom_promotional_headline .= '<a class="rounded-btn upercase" href="' . esc_url( $link_url ) . '" ' . esc_attr( $link_target ) . '><span>'. esc_html( $button_text ) . '</span></a>';
        		}

        $custom_promotional_headline .= '    </div><!-- one-half -->';
        
        if( !empty( $banner_image_id ) ){

		$custom_promotional_headline .= '
        	<div class="one-half right">
                <div class="single-image-wrap">';

                if( !empty ( $link_url ) ){
                	$custom_promotional_headline .= '<a href="' . esc_url( $link_url ) . '"' . esc_attr( $link_target ) . '><img src="' .esc_url( $banner_image_url ) . '" alt="' . esc_html( $title ) . '"></a>';
                }else{
                	$custom_promotional_headline .= '<img src="' .esc_url( $banner_image_url ) . '" alt="' . esc_html( $title ) . '">';
                }

                $custom_promotional_headline .='
                </div><!-- .single-image-wrap -->
            </div><!-- one-half -->';
        }

    return $custom_promotional_headline;

	}
}
//foodland_custom_promotional_headline ends